const client = require("../../utils/client.js");
// index.js
Page({
  data: {
      cardNumber: '',
      errorMessage: '',
  },
  callApi: function() {
    client.callRecognizeBankCard(wx, function(result) {
      console.log(result);
      if(result.Code) {
        if (result.Code == 'InvalidAccessKeyId.NotFound') {
          this.setData({'errorMessage': '请求报错，请检查您代码中的YOUR_ACCESS_KEY_ID和YOUR_ACCESS_KEY_SECRET是否已经修改正确。'});
        } else if(result.Code == 'InvalidApi.NotPurchase') {
          this.setData({'errorMessage': '请求报错，您的账号未开通视觉智能开放平台相应类目，请进行开通：https://help.aliyun.com/document_detail/465341.html'});
        } else if(result.Code == 'Unauthorized') {
          this.setData({'errorMessage': '请求报错，您的子账号未授予AliyunVIAPIFullAccess权限，请参考https://help.aliyun.com/document_detail/145025.html'});
        } else if(result.Code == 'InvalidAction.NotFound') {
          this.setData({'errorMessage': '请求报错，请检查您调用的API和类目是否匹配，API和类目的关系请参考：https://help.aliyun.com/document_detail/465341.html，和访问的域名是否匹配，类目和域名的关系请参考：https://help.aliyun.com/document_detail/143103.html'});
        } else {
          this.setData({'errorMessage': result.Message});
        }
      } else {
        // 获取银行卡号，这里只是示例，请根据文档获取自己想要的出参
        this.setData({'cardNumber': result.Data.CardNumber});
      }
    }.bind(this));
  }
})

